{% extends 'base.html' %}

{% block content %}

<div class="container py-3">
    <div class="d-flex justify-content-center">
        <h1>Form Hasil Tes Pasien</h1>
    </div>
    <br><br><br>

    <form method="POST" action="{% url 'hanif:createHasilTes' %}">
        {% csrf_token %}

        <label for="nik">NIK Pasien: </label>
        <select name="nik" required>
            {% for nik in pasienData %}
            <option value="{{nik.0}}">{{nik.0}}</option>
            {% endfor %}
        </select>

        <br><br>

        <label for="tgltes">Tanggal Tes: </label>
        <input type="date" name="tgltes" required>

        <br><br>

        <label for="jenistes">Jenis Tes: </label>
        <select name="jenistes" id="jenistes" required>
            <option class="tesOption" value="PCR">PCR</option>
            <option class="tesOption" value="Antigen">Antigen</option>
        </select>

        <br><br>

        <label for="status">Status: </label>
        <select name="status" required>
            <option value="reaktif">Reaktif</option>
            <option value="non-reaktif">Non-Reaktif</option>
        </select>

        <br><br>

        <div id="CT">
            <label for="CT">Nilai CT: </label>
            <input type="number" name="CT" style="width: 5vw;" required>
        </div>

        <br><br>

        <button type="submit" id="topup_btn" class="btn btn-success">
            Submit
        </button>
    </form>
</div>

<script>
    let tes = document.getElementById("jenistes")
    let CT = document.getElementById("CT")

    tes.onchange = function () {
        if (tes.value === "PCR") {
            CT.style.display = "inline"
        } else {
            CT.style.display = "none"
        }
    }
</script>
{% endblock content %}